body {
    background-image: url(../pics/a.jpg);
    padding: 0;
    margin: 0;
    background-size: cover;

    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.columncontainer {
    margin: auto;
    max-width: 1400px;
    min-width: 1000px;
    padding-bottom: 30px;
    display: grid;
    grid-auto-columns: 50% 50%;
    grid-template-areas: "a b";
}

.form {
    grid-area: b;

    margin: 30px auto 0 auto;

    background-color: #ffc06e;
    min-width: 480px;
    width: 85%;
    height: fit-content;
    padding: 10px 10px 30px 10px;
    box-shadow: 0px 5px 10px #222;
}

h1 {
    text-align: center;
    font-weight: 400;
    font-size: 2.5rem;
}

.formelement {
    border: none;
}

input[type="text"],
textarea {
    width: 94%;
    margin: 5px 2% 10px;
    border-radius: 10px;
    font-size: 1rem;
    box-sizing: border-box;
    padding: 10px;
    background-color: #fff;

    box-shadow: inset 0px 3px 5px #ccc;
}

input[type="text"] {
    height: 2.2rem;
}

.rowname {
    margin: 0 0 0 2%;
    font-size: 1.8rem;
    font-weight: 550;
}

.asterisk {
    font-size: 1.8rem;
    font-weight: 550;
}

.submit {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 180px;
    height: 70px;

    font-size: 2rem;
    font-weight: 400;
    border-radius: 15px;
    background-color: #fff;
    cursor: pointer;

    transition: transform 0.2s cubic-bezier(.1, .72, 0, .97);
    box-shadow: 0px 5px 10px #ad7744;
}

.submit:hover {
    transform: scale(105%);
}

.infobox {
    grid-area: a;

    background-color: #fefefe;
    width: 85%;
    min-width: 480px;
    margin: 30px auto 0px auto;
    box-shadow: 0px 5px 10px #222;
}

.infobox>* {
    margin: 5px 30px 20px 30px;
    -webkit-box-decoration-break: clone;
    box-decoration-break: clone;
    display: block;
}

.infobox>h1 {
    margin: 30px auto 30px auto;
}

.pricespan {
    font-size: 1.8rem;
}

.infospan {
    font-size: 1.4rem;
}

.svgcontainer {
    display: flex;
    margin-top: 15%;
}

.circlebtn {
    margin: auto;
    border: 5px solid #888;
    border-radius: 50%;
    transition: transform 0.02s;
}

.circlebtn>* {
    cursor: pointer;
    user-select: none;
}

.circlebtn:active {
    transform: scale(95%);
}

.popup {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: 20px auto;
    z-index: 100;

    background-color: #ffc796;
    box-shadow: 0px 5px 10px #555;
    max-height: 850px;
    min-height: 50%;
    max-width: 900px;
    min-width: 50%;

    display: none;
    opacity: 0;

    transition: opacity 0.3s;
    overflow-y: auto;
    overflow-x: hidden;
}

.popup-info {
    position: absolute;
    height: 85%;
    width: 90%;
    bottom: 0;
    right: 0;
    left: 0;
    margin: auto;
}

.popup-info>* {
    display: block;
    -webkit-box-decoration-break: clone;
    box-decoration-break: clone;
}

.popupspan {
    font-size: 1.5rem;
    margin: 10px 4% 30px 4%;
}

.popuplistspan {
    font-size: 1.3rem;
    margin: 10px 8% 10px 8%;
}

.popuplistspan:before {
    content: "- ";
}

.close-button {
    position: absolute;
    right: 0;
    text-align: center;
    height: 40px;
    width: 40px;

    cursor: pointer;
}

.close-button:after {
    content: '\d7';
    font-size: 4rem;
    color: #000;
    line-height: 40%;
}

.popup-disabler {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 99;
    display: none;
    background-color: rgba(0, 0, 0, 0.2);
    opacity: 0;

    transition: opacity 0.5s;
}

/* Responsive styles for different breakpoints */

/* Small screens (up to 600px) */
@media screen and (max-width: 600px) {
    .columncontainer {
        display: block;
        margin: auto;
        max-width: 95%;
        min-width: 0px;
        padding-bottom: 30px;
    }

    .form {
        margin: 30px auto 0 auto;

        background-color: #ffc06e;
        height: fit-content;
        min-width: 0px;
        padding: 10px 10px 30px 10px;
        box-shadow: 0px 5px 10px #222;
    }

    .infobox {
        margin: 30px auto 0px auto;

        height: fit-content;
        background-color: #fefefe;
        min-width: 0px;
        box-shadow: 0px 5px 10px #222;
        padding: 10px 10px 30px 10px;
    }

    .infobox>* {
        margin: 5px 12px 5px 12px;
    }
}

/* Medium screens (601px to 1080px) */
@media screen and (min-width: 601px) and (max-width: 1080px) {
    .columncontainer {
        display: block;
        margin: auto;
        max-width: 95%;
        min-width: 0px;
        padding-bottom: 30px;
    }

    .infobox {
        padding: 10px 10px 30px 10px;
    }
}